Skip to main content
`Ctrl`+`K`

# BVSetRandomCond

Set the columns of a `BV` to random numbers, in a way that the generated matrix has a given condition number.

## Synopsis

    #include "slepcbv.h"
    PetscErrorCode BVSetRandomCond(BV bv,PetscReal condn)

Logically Collective

## Input Parameters

- bv - basis vectors

- condn - condition number

## Note

All active columns (except the leading ones) are modified.

## See Also

BV: Basis Vectors, `BVSetRandomContext()`, `BVSetRandom()`, `BVSetRandomColumn()`, `BVSetRandomNormal()`, `BVSetActiveColumns()`

## Level

advanced

## Location

src/sys/classes/bv/interface/bvops.c

Index of all BV routines Table of Contents for all manual pages Index of all manual pages